<!DOCTYPE html>
<html>
<title>ABDpred</title>
<link rel="icon" href="image/abdpred_logo.jpg" type="image/jpg"/>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {
  font-size: 20px;
}

ul {
  list-style-type: none;
  margin: 20;
  padding: 20;
  overflow: hidden;
  background-color: #333;
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
}

li {
  float: left;
}

li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

li a:hover {
  background-color: #111;
}

.active {
  background-color: #4CAF50;
}

div.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  background-color: #CCCCCC;
  padding: 50px;
  font-size: 20px;
}

</style>

<style>

</style>

</head>
<body>

<div class="header">
  <h2 align="center"><img src="image/abdpred.png" height="80" width="120">ABDpred: Antibiotic Drug Prediction Server</h2>
</div>




<ul>
  <li><a href="index.php">Home</a></li>
  <li><a href="about.php">About</a></li>
  <li><a href="help.php">Help</a></li>
  <li><a href="download.php">Download</a></li>
  <li><a href="team.php">Team</a></li>
  <li><a href="link.php" class="active" >Link</a></li>
</ul>
<p>
<table>
<tr>
<td>DrugBank</td>
<td><a href="https://go.drugbank.com/"><img src="image/drugbank.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>FDA-Approved Drugs</td>
<td><a href="https://www.accessdata.fda.gov/scripts/cder/daf/"><img src="image/fda.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>NCI Open Database Compounds</td>
<td><a href="https://cactus.nci.nih.gov/download/nci/"><img src="image/nci.png" width="100" height="25"></a></td>
</tr>


<tr>
<td>Python 3.8.6</td>
<td><a href="https://www.python.org/downloads/release/python-386/"><img src="image/python.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>PubChemPy 1.0</td>
<td><a href="https://pypi.org/project/PubChemPy/1.0/"><img src="image/pubchempy.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>padelpy 0.1.7</td>
<td><a href="https://pypi.org/project/padelpy/"><img src="image/padelpy.png" width="100" height="25"></a></td>
</tr>




<tr>
<td>scikit-learn Machine Learning in Python</td>
<td><a href="https://scikit-learn.org/stable/"><img src="image/scikit.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>XGBoost</td>
<td><a href="https://xgboost.ai/"><img src="image/xgb.png" width="100" height="25"></a></td>
</tr>


<tr>
<td>TensorFlow</td>
<td><a href="https://www.tensorflow.org/"><img src="image/tf.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>CentOS Linux 7 (Core)</td>
<td><a href="https://www.centos.org/"><img src="image/centos.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>Apache</td>
<td><a href="http://apache.org/"><img src="image/apache.png" width="100" height="25"></a></td>
</tr>

<tr>
<td>PHP 7.3.25</td>
<td><a href="https://www.php.net/releases/7_3_25.php"><img src="image/php.png" width="100" height="25"></a></td>
</tr>




</table>


<p>
<p></p>
<p>&nbsp;</p>
<div class="sticky">
  <div align="center">&copy; ICMR-NICED, Kolkata, 2020. For any queries regarding ABDpred, contact Dr. Santasabuj Das at <a href="mailto:santasabujdas@yahoo.com"> santasabujdas@yahoo.com</a></div>
</div>
</body>
</html>