<!DOCTYPE html>
<html>
<title>ABDpred</title>
<link rel="icon" href="image/abdpred_logo.jpg" type="image/jpg"/>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {
  font-size: 20px;
}

ul {
  list-style-type: none;
  margin: 20;
  padding: 20;
  overflow: hidden;
  background-color: #333;
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
}

li {
  float: left;
}

li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

li a:hover {
  background-color: #111;
}

.active {
  background-color: #4CAF50;
}

div.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  background-color: #CCCCCC;
  padding: 50px;
  font-size: 20px;
}
.style7 {font-size: 24px; font-weight: bold; }
.style8 {font-size: 24px}
</style>
</head>
<body>

<div class="header">
  <h2 align="center"><img src="image/abdpred.png" height="80" width="120">ABDpred: Antibiotic Drug Prediction Server</h2>
</div>


<ul>
  <li><a href="index.php">Home</a></li>
  <li><a href="about.php">About</a></li>
  <li><a href="help.php">Help</a></li>
  <li><a href="download.php">Download</a></li>
  <li><a class="active" href="team.php">Team</a></li>
  <li><a href="link.php">Link</a></li>
</ul>


<table border="0">

  <tr>
    <td><span>Dr. Tanmoy Jana<sup>1</sup> (Research Associate)</span><br/>
    <a href="mailto:janatanmoy5@gmail.com">janatanmoy5@gmail.com</a><br/>
    </td>
     </tr>
  
  <tr>
    <td><span>Dr. Santasabuj Das <sup>2*</sup></span>(Scientist-F)
    <br/>
    <a href="mailto:santasabujdas@yahoo.com">santasabujdas@yahoo.com</a>
    <br/>
    <p> <img src="image/ICMR-NICED-logo.jpg" width="132" height="53" ></p>
    <p><sup>1</sup><sup>, 2</sup> Clinical Medicine, National Institute of Cholera and Enteric Diseases<br/>P-33, C.I.T. Road,Scheme XM
Beleghata, Kolkata 700 010, India
      </p>
    
    </td>
   
  </tr>
</table>
<p><b>Note </b>- *: Corresponding author</p>
<p><strong>Funding Agency: </strong><br>
Indian Council of Medical Research (ICMR), Government of India</p>
<p><img src="image/icmrlogo.png" height="80" ><br>
Project: <em>&quot;Development of precision antimicrobial therapy through indentification of virulence factor targets conferring maximum fitness loss&quot;</em></p>
<div class="sticky">
  <div align="center">&copy; ICMR-NICED, Kolkata, 2020. For any queries regarding ABDpred, contact Dr. Santasabuj Das at <a href="mailto:santasabujdas@yahoo.com"> santasabujdas@yahoo.com</a></div>
</div>
</body>
</html>